# Configuration for Release Drafter: https://github.com/toolmantim/release-drafter
name-template: 'v$NEXT_PATCH_VERSION 🌈'
tag-template: 'v$NEXT_PATCH_VERSION'
version-template: $MAJOR.$MINOR.$PATCH
# Emoji reference: https://gitmoji.carloscuesta.me/
categories:
  - title: '🚀 Features'
    labels:
      - 'feature'
      - 'enhancement'
  - title: '🐛 Bug Fixes'
    labels:
      - 'fix'
      - 'bugfix'
      - 'bug'
      - 'regression'
      - 'kind/bug'
  - title: 📝 Documentation updates
    labels:
      - 'documentation'
      - 'kind/doc'
  - title: 👻 Maintenance
    labels:
      - chore
      - 'kind/chore'
      - dependencies
  - title: 🚦 Tests
    labels: 
      - test
      - 'kind/test'
      - tests
exclude-labels:
  - reverted
  - no-changelog
  - skip-changelog
  - invalid
change-template: '* $TITLE (#$NUMBER) @$AUTHOR'
replacers:
  - search: '/(?:and )?@dependabot-preview(?:\[bot\])?,?/g'
    replace: ''
template: |
  ## What’s Changed

  $CHANGES

  Thanks again to $CONTRIBUTORS! 🎉